Use of Insufficiently Random Values

Affecting libxslt package, versions *

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

In libxslt 1.1.29 and earlier, the EXSLT math.random function was not initialized with a random seed during startup, which could cause usage of this function to produce predictable outputs.

References

CVSS Score

5.3
low severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
CVE
CVE-2015-9019
CWE
CWE-330
Snyk ID
SNYK-UBUNTU1804-LIBXSLT-308017
Disclosed
05 Apr, 2017
Published
05 Apr, 2017